> **Warning**
>
> ## THIS IS AN AUTOGENERATED FILE. DO NOT EDIT.
>
> ## Please edit the corresponding file in [/packages/mermaid/src/docs/config/setup/mermaid/type-aliases/ParseErrorFunction.md](../../../../../packages/mermaid/src/docs/config/setup/mermaid/type-aliases/ParseErrorFunction.md).

[**mermaid**](../../README.md)

---

# Type Alias: ParseErrorFunction()

> **ParseErrorFunction**: (`err`, `hash`?) => `void`

Defined in: [packages/mermaid/src/Diagram.ts:10](https://github.com/mermaid-js/mermaid/blob/master/packages/mermaid/src/Diagram.ts#L10)

## Parameters

### err

`string` | [`DetailedError`](../interfaces/DetailedError.md) | `unknown`

### hash?

`any`

## Returns

`void`
